/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of this code is David Baum.
 * Portions created by David Baum are Copyright (C) 1998 David Baum.
 * All Rights Reserved.
 */

package pbsim;

class Src
{
	// data sources
	static final int VARIABLE = 0;
	static final int TIMER = 1;
	static final int CONSTANT = 2;
	static final int OUTPUT_STATUS = 3;
	static final int RANDOM = 4;
	
	static final int PROGRAM = 8;
	static final int SENSOR_VALUE = 9;
	static final int SENSOR_TYPE = 10;
	static final int SENSOR_MODE = 11;
	static final int SENSOR_RAW = 12;
	static final int SENSOR_BOOL = 13;
	static final int WATCH = 14;
	static final int MESSAGE = 15;
	
	
	static final int GLOBAL_OUTPUT_STATUS = 17;
	static final int COUNTER = 21;
	static final int TASK_EVENTS = 23;
	static final int EVENT_STATE = 25;
	static final int FAST_TIMER = 26;
	static final int CLICK_COUNTER = 27;
	static final int UPPER_LIMIT = 28;
	static final int LOWER_LIMIT = 29;
	static final int HYSTERESIS = 30;
	static final int DURATION = 31;
	static final int UART_SETUP = 33;
	static final int BATTERY_LEVEL = 34;
	static final int FIRMWARE_VERSION = 35;
};

